layers(6).
width(0,9).
in_layer(0,n1).
in_layer(0,n2).
in_layer(0,n3).
in_layer(0,n4).
in_layer(0,n5).
in_layer(0,n6).
in_layer(0,n7).
in_layer(0,n8).
in_layer(0,n9).
width(1,9).
in_layer(1,n10).
in_layer(1,n11).
in_layer(1,n12).
in_layer(1,n13).
in_layer(1,n14).
in_layer(1,n15).
in_layer(1,n16).
in_layer(1,n17).
in_layer(1,n18).
width(2,9).
in_layer(2,n19).
in_layer(2,n20).
in_layer(2,n21).
in_layer(2,n22).
in_layer(2,n23).
in_layer(2,n24).
in_layer(2,n25).
in_layer(2,n26).
in_layer(2,n27).
width(3,9).
in_layer(3,n28).
in_layer(3,n29).
in_layer(3,n30).
in_layer(3,n31).
in_layer(3,n32).
in_layer(3,n33).
in_layer(3,n34).
in_layer(3,n35).
in_layer(3,n36).
width(4,9).
in_layer(4,n37).
in_layer(4,n38).
in_layer(4,n39).
in_layer(4,n40).
in_layer(4,n41).
in_layer(4,n42).
in_layer(4,n43).
in_layer(4,n44).
in_layer(4,n45).
width(5,9).
in_layer(5,n46).
in_layer(5,n47).
in_layer(5,n48).
in_layer(5,n49).
in_layer(5,n50).
in_layer(5,n51).
in_layer(5,n52).
in_layer(5,n53).
in_layer(5,n54).
edge(n40,n47).
edge(n40,n52).
edge(n38,n50).
edge(n5,n13).
edge(n22,n31).
edge(n4,n14).
edge(n15,n23).
edge(n18,n23).
edge(n7,n16).
edge(n2,n13).
edge(n15,n26).
edge(n36,n44).
edge(n23,n34).
edge(n18,n24).
edge(n19,n31).
edge(n13,n25).
edge(n44,n54).
edge(n16,n25).
edge(n45,n49).
edge(n3,n15).
edge(n10,n21).
edge(n19,n30).
edge(n37,n49).
edge(n13,n26).
edge(n28,n41).
edge(n2,n17).
edge(n23,n33).
edge(n26,n30).
edge(n41,n47).
edge(n4,n10).
edge(n27,n28).
edge(n11,n24).
edge(n38,n49).
edge(n43,n46).
edge(n33,n38).
edge(n38,n46).
edge(n4,n11).
edge(n39,n49).
edge(n35,n43).
edge(n43,n53).
edge(n27,n29).
edge(n16,n23).
edge(n30,n44).
edge(n38,n51).
edge(n40,n46).
edge(n13,n21).
edge(n22,n30).
edge(n43,n49).
edge(n45,n53).
edge(n45,n48).
edge(n28,n37).
edge(n36,n42).
edge(n37,n47).
edge(n28,n44).
edge(n39,n53).
edge(n11,n21).
edge(n5,n11).
edge(n23,n28).
edge(n19,n28).
edge(n15,n19).
edge(n22,n28).
edge(n29,n38).
edge(n28,n40).
edge(n1,n18).
edge(n9,n13).
edge(n42,n47).
edge(n1,n15).
edge(n30,n45).
edge(n17,n25).
edge(n44,n51).
edge(n36,n37).
edge(n38,n48).
edge(n40,n48).
edge(n25,n28).
edge(n20,n29).
edge(n35,n37).
edge(n10,n20).
edge(n33,n42).
edge(n6,n12).
edge(n8,n13).
edge(n12,n27).
